0

新版任你发,我用Java 8!

最近,新版本的JDK又双叒叕发布了,目前已经JDK 14 了,从2017年8月份开始,JDK的更新频率变成了每半年一次,将固定在每年的3月份和9月份发布新版本。按照这个频率,过不了多久,JDK 20 就要推出了…最早的JDK发布于1996年,相信比很多读者的年龄都要小,其发布频次如下:Java 8 与 Java 11 为当前提供支持的LTS(长期支持)版本;2018年9月,随着 Java 11 的发布,Java 10 自当日起不再被支持。Oracle 于 2019 年 1 月前为商业用途中的 Java 8 长期支持,而针对非商用的更新将继续提供,直至 2020 年 12 月;此外,AdoptO...

阅读全文>>

1

future versions of Elasticsearch will require Java 11

在启动最新版的elasticsearch(版本:7.3.1)时,控制台会输出以下信息: future versions of Elasticsearch will require Java 11; your Java version from [C:\Java\jdk1.8\jre] does not meet this requirement 我的虚拟机开发环境的jdk是1.8,在启动Elasticsearch7.2的时候,启动日志会有如下信息: future versions of Elasticsearch will re...

阅读全文>>